// js 导入 模块式开发

import Vue from 'vue'
// 导入 App.vue
import App from './App.vue'
// import zujian from "./components/zujian.vue"
import HelloWorld from "./components/HelloWorld.vue"
import aaa from "./components/aaa.vue"
import VueRouter from "vue-router"
import index from "./pages/index.vue"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';


Vue.use(ElementUI);

// vuerouter 插件

Vue.use(VueRouter)
// 路径 => 页面(组件)
const routes = [{
  path:"/abc",
  component:HelloWorld
},{
  path:"/agfahg",
  component:aaa
},
{
  path:"/nav",
  component:() => import("./pages/nav.vue"),
  children:[{
    path:"user",
    component: () => import("./pages/user.vue")
    // path:"/user",
    // component: () => import("./pages/user.vue")
    // 加了'/'就是绝对路径 后面不需要写父级路径 @click="$router.push('/user')"
    // 不加'/'就是相对路径 后面就需要写父级路径 @click="$router.push('/nav/user')
  },
  {
    path:"/",
    component: index
  },
],
}
]

const router = new VueRouter({
  routes // (缩写) 相当于 routes: routes
})

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router
}).$mount('#aaa')
